Skip to main content
GET
List Player Matches

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

player
integer
required

The player ID

Query Parameters

tournament_id
integer | null

Tournament ID to filter matches by.

after_date
string<date> | null

Date after the match was played in YYYY-MM-DD format.

before_date
string<date> | null

Date before the match was played in YYYY-MM-DD format.

round
enum<integer> | null

Round of the match (1 = Final, 2 = Semifinal, 4 = Quarterfinal, 8 = Round of 16, 16 = Round of 32, 32 = Round of 64)

Available options:
1,
2,
4,
8,
16,
32
sort_by
enum<string> | null

Name of the parameter to sort the matches by.

Available options:
played_at,
round
order_by
enum<string> | null

Order of the sorting, either asc or desc.

Available options:
asc,
desc

Response

Paginated set of MatchResource

data
MatchResource · object[]
required
meta
object
required